Subject: [apps-discuss] [Errata Held for Document Update] RFC7001 (4201)

From: RFC Errata System <[email-masked]>
Date: Tue, 17 Feb 2015 11:05:46 -0800 (PST)

The following errata report has been held for document update 
for RFC7001, "Message Header Field for Indicating Message Authentication Status". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7001&eid=4201

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Stéphane Bortzmeyer <[email-masked]>
Date Reported: 2014-12-15
Held by: Barry Leiba (IESG)

Section: C.5

Original Text
-------------
        Authentication-Results: example.com;
                  sender-id=fail header.from=example.com;
                  dkim=pass (good signature) header.d=example.com

Corrected Text
--------------
No idea

Notes
-----
The Sender-ID test is OK (header From:) but the DKIM one names a field
in the DKIM-Signature: header (d=). Isn't it a violation of section
2.2, which says 'if "ptype" is "header", this indicates from which header field the value being evaluated was extracted' Or is section 2.2 an insufficient description?

----- Verifier Notes -----
The resolution of this isn't straightforward, and will require discussion and a proper update.  That is now ongoing.

--------------------------------------
RFC7001 (draft-ietf-appsawg-rfc5451bis-10)
--------------------------------------
Title               : Message Header Field for Indicating Message Authentication Status
Publication Date    : September 2013
Author(s)           : M. Kucherawy
Category            : PROPOSED STANDARD
Source              : Applications Area Working Group
Area                : Applications
Stream              : IETF
Verifying Party     : IESG